Bug 689281

Summary: VUL-0: Mozilla Firefox 3.6.17 / 4.0.1
Product: [Novell Products] SUSE Security Incidents Reporter: Petr Cerny <pcerny>
Component: GeneralAssignee: Security Team bot <security-team>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P2 - High CC: lchiquitto, maint-coord, meissner, pcerny, regis, security-team, wolfgang
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard: maint:released:11.2:40523 maint:released:11.3:40523 maint:released:11.2:40528 maint:released:11.3:40528 maint:released:11.4:40528 maint:released:11.4:40527 maint:released:11.2:40534 maint:released:11.3:40534 maint:released:sle11-sp1:40524 maint:released:sle10-sp4:40525 maint:released:sle10-sp3:40526 maint:released:sle10-sp4:40532 maint:released:sle11-sp1:40531 maint:released:sle10-sp3:40533 CVSSv2:NVD:CVE-2011-0069:10.0:(AV:N/AC:L/Au:N/C:C/I:C/A:C) CVSSv2:RedHat:CVE-2011-0069:6.8:(AV:N/AC:M/Au:N/C:P/I:P/A:P)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Petr Cerny 2011-04-22 10:25:37 UTC
Release scheduled for April 26.
Comment 1 Marcus Meissner 2011-04-26 09:46:25 UTC
release is rescheduled for april 28
Comment 4 Swamp Workflow Management 2011-04-27 17:33:08 UTC
The SWAMPID for this issue is 40491.
This issue was rated as important.
Please submit fixed packages until 2011-05-04.
When done, please reassign the bug to security-team@suse.de.
Patchinfo will be handled by security team.
Comment 5 Wolfgang Rosenauer 2011-04-29 05:34:51 UTC
Seamonkey:
 68779  State:new     By:wrosenauer   When:2011-04-29T07:29:42
        submit:       mozilla:Factory/seamonkey  ->                     openSUSE:Evergreen:11.1:Test   
        Descr: bnc#689281

 68778  State:new     By:wrosenauer   When:2011-04-29T07:29:31
        submit:       mozilla:Factory/seamonkey  ->                      openSUSE:11.2:Update:Test   
        Descr: bnc#689281

 68777  State:new     By:wrosenauer   When:2011-04-29T07:29:27
        submit:       mozilla:Factory/seamonkey  ->                      openSUSE:11.3:Update:Test   
        Descr: bnc#689281

 68776  State:new     By:wrosenauer   When:2011-04-29T07:29:21
        submit:       mozilla:Factory/seamonkey  ->                      openSUSE:11.4:Update:Test   
        Descr: bnc#689281


xulrunner20/firefox4:
765  State:new     By:wrosenauer   When:2011-04-29T07:22:49
        submit:       mozilla:Factory/MozillaFirefox  ->                 openSUSE:11.4:Update:Test   
        Descr: bnc#689281

 68763  State:new     By:wrosenauer   When:2011-04-29T07:22:34
        submit:       mozilla:Factory/mozilla-xulrunner20  ->            openSUSE:11.4:Update:Test   
        Descr: bnc#689281


xulrunner192/firefox3.6:
 68771  State:new     By:wrosenauer   When:2011-04-29T07:26:44
        submit:       mozilla/MozillaFirefox  ->                         openSUSE:Evergreen:11.1:Test   
        Descr: bnc#689281

 68770  State:new     By:wrosenauer   When:2011-04-29T07:24:39
        submit:       mozilla/MozillaFirefox  ->                         openSUSE:11.2:Update:Test   
        Descr: bnc#689281

 68769  State:new     By:wrosenauer   When:2011-04-29T07:24:32
        submit:       mozilla/MozillaFirefox  ->                         openSUSE:11.3:Update:Test   
        Descr: bnc#689281

 68768  State:new     By:wrosenauer   When:2011-04-29T07:23:40
        submit:       mozilla:Factory/mozilla-xulrunner192  ->           openSUSE:Evergreen:11.1:Test   
        Descr: bnc#689281

 68767  State:new     By:wrosenauer   When:2011-04-29T07:23:19
        submit:       mozilla:Factory/mozilla-xulrunner192  ->           openSUSE:11.2:Update:Test   
        Descr: bnc#689281

 68766  State:new     By:wrosenauer   When:2011-04-29T07:23:14
        submit:       mozilla:Factory/mozilla-xulrunner192  ->           openSUSE:11.3:Update:Test   
        Descr: bnc#689281

 68780  State:new     By:wrosenauer   When:2011-04-29T07:33:17
        submit:       mozilla:Factory/mozilla-xulrunner192  ->           openSUSE:11.4:Update:Test   
        Descr: bnc#689281


xulrunner191:
 68775  State:new     By:wrosenauer   When:2011-04-29T07:28:47
        submit:       mozilla/mozilla-xulrunner191  ->                   openSUSE:Evergreen:11.1:Test   
        Descr: bnc#689281

 68773  State:new     By:wrosenauer   When:2011-04-29T07:28:04
        submit:       mozilla/mozilla-xulrunner191  ->                   openSUSE:11.2:Update:Test   
        Descr: bnc#689281

 68772  State:new     By:wrosenauer   When:2011-04-29T07:27:58
        submit:       mozilla/mozilla-xulrunner191  ->                   openSUSE:11.3:Update:Test   
        Descr: bnc#689281


Thunderbird to follow soon.
Probably check if I catched everything.
Comment 7 Wolfgang Rosenauer 2011-04-29 06:00:57 UTC
MozillaThunderbird:
 68783  State:new     By:wrosenauer   When:2011-04-29T07:53:31
        submit:       mozilla:Factory/MozillaThunderbird  ->             openSUSE:11.2:Update:Test   
        Descr: bnc#689281

 68782  State:new     By:wrosenauer   When:2011-04-29T07:53:25
        submit:       mozilla:Factory/MozillaThunderbird  ->             openSUSE:11.3:Update:Test   
        Descr: bnc#689281

 68781  State:new     By:wrosenauer   When:2011-04-29T07:53:19
        submit:       mozilla:Factory/MozillaThunderbird  ->             openSUSE:11.4:Update:Test   
        Descr: bnc#689281
Comment 8 Marcus Meissner 2011-04-29 09:40:05 UTC
firefox 4.0:

  * MFSA 2011-12/ CVE-2011-0069 CVE-2011-0070 CVE-2011-0079
    CVE-2011-0080 CVE-2011-0081
    Miscellaneous memory safety hazards
  * MFSA 2011-17/CVE-2011-0068 (bmo#623791)
    WebGLES vulnerabilities
  * MFSA 2011-18/CVE-2011-1202 (bmo#640339)
    XSLT generate-id() function heap address leak
Comment 9 Marcus Meissner 2011-04-29 09:47:19 UTC
MFSA 2011-12:
Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.
Credits

Mozilla developers Boris Zbarsky, Gary Kwong, Jesse Ruderman, Michael Wu, Nils, Scoobidiver, and Ted Mielczarek reported memory safety issues which affected Firefox 4. (CVE-2011-0079)

Mozilla developer Scoobidiver reported a memory safety issue which affected Firefox 4 and Firefox 3.6 (CVE-2011-0081)

The web development team of Alcidion reported a crash that affected Firefox 4, Firefox 3.6 and Firefox 3.5. (CVE-2011-0069)

Ian Beer reported a crash that affected Firefox 4, Firefox 3.6 and Firefox 3.5. (CVE-2011-0070)

Mozilla developers Bob Clary, Henri Sivonen, Marco Bonardo, Mats Palmgren and Jesse Ruderman reported memory safety issues which affected Firefox 3.6 and Firefox 3.5. (CVE-2011-0080)

Aki Helin reported memory safety issues which affected Firefox 3.6 and Firefox 3.5. (CVE-2011-0074 , CVE-2011-0075)

Ian Beer reported memory safety issues which affected Firefox 3.6 and Firefox 3.5. (CVE-2011-0077 , CVE-2011-0078)

Martin Barbella reported a memory safety issue which affected Firefox 3.6 and Firefox 3.5. (CVE-2011-0072)


MFSA 2011-13 / CVE-2011-0065 / CVE-2011-0066 / CVE-2011-0073:
Security researcher regenrecht reported several dangling pointer vulnerabilities via TippingPoint's Zero Day Initiative.

Firefox 4 was not affected by these issues.


MFSA 2011-14 / CVE-2011-0067:
Security researcher Paul Stone reported that a Java applet could be used to mimic interaction with form autocomplete controls and steal entries from the form history.

Firefox 4 was not affected by this issue.


MFSA 2011-15 / CVE-2011-0076: David Remahl of Apple Product Security reported that the Java Embedding Plugin (JEP) shipped with the Mac OS X versions of Firefox could be exploited to obtain elevated access to resources on a user's system.

Firefox 4 was not affected by this issue.


MFSA 2011-16 / CVE-2011-0071: Security researcher Soroush Dalili reported that the resource: protocol could be exploited to allow directory traversal on Windows and the potential loading of resources from non-permitted locations. The impact would depend on whether interesting files existed in predictable locations in a useful format. For example, the existence or non-existence of particular images might indicate whether certain software was installed.    

Firefox 4 was not affected by this issue.

MFSA 2011-17 / CVE-2011-0068: Two crashes that could potentially be exploited to run malicious code were found in the WebGL feature and fixed in Firefox 4.0.1. In addition the WebGLES libraries could potentially be used to bypass a security feature of recent Windows versions. The WebGL feature was introduced in Firefox 4; older versions are not affected by these issues.

Nils reported that the WebGLES libraries in the Windows version of Firefox were compiled without ASLR protection. An attacker who found an exploitable memory corruption flaw could then use these libraries to bypass ASLR on Windows Vista and Windows 7, making the flaw as exploitable on those platforms as it would be on Windows XP or other platforms.

Mozilla researcher Christoph Diehl reported a potentially exploitable buffer overflow in the WebGLES library
    
Yuri Ko reported a potentially exploitable overwrite in the WebGLES library to the Chrome Secuity Team. We thank them for coordinating with us on this fix.


MFSA 2011-18 / CVE-2011-1202: Chris Evans of the Chrome Security Team reported that the XSLT generate-id() function returned a string that revealed a specific valid address of an object on the memory heap. It is possible that in some cases this address would be valuable information that could be used by an attacker while exploiting a different memory corruption but, in order to make an exploit more reliable or work around mitigation features in the browser or operating system.
Comment 11 Petr Cerny 2011-04-29 10:36:50 UTC
internal packages commited, reassigning to security-team@suse.de
Comment 13 Swamp Workflow Management 2011-05-04 11:06:34 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-debugsource, MozillaFirefox-devel, MozillaFirefox-translations-common, MozillaFirefox-translations-other, mozilla-js20, mozilla-js20-debuginfo, mozilla-xulrunner20, mozilla-xulrunner20-buildsymbols, mozilla-xulrunner20-debuginfo, mozilla-xulrunner20-debugsource, mozilla-xulrunner20-devel, mozilla-xulrunner20-devel-debuginfo, mozilla-xulrunner20-gnome, mozilla-xulrunner20-gnome-debuginfo, mozilla-xulrunner20-translations-common, mozilla-xulrunner20-translations-other
Products:
openSUSE 11.4 (debug, i586, x86_64)
Comment 14 Swamp Workflow Management 2011-05-04 11:07:33 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-debugsource, MozillaFirefox-devel, MozillaFirefox-translations-common, MozillaFirefox-translations-other, mozilla-js192, mozilla-js192-debuginfo, mozilla-xulrunner192, mozilla-xulrunner192-buildsymbols, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-debugsource, mozilla-xulrunner192-devel, mozilla-xulrunner192-devel-debuginfo, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-debuginfo, mozilla-xulrunner192-translations-common, mozilla-xulrunner192-translations-other
Products:
openSUSE 11.2 (debug, i586, x86_64)
openSUSE 11.3 (debug, i586, x86_64)
Comment 15 Swamp Workflow Management 2011-05-04 11:09:52 UTC
Update released for: MozillaThunderbird, MozillaThunderbird-buildsymbols, MozillaThunderbird-debuginfo, MozillaThunderbird-debugsource, MozillaThunderbird-devel, MozillaThunderbird-devel-debuginfo, MozillaThunderbird-translations-common, MozillaThunderbird-translations-other, enigmail, enigmail-debuginfo
Products:
openSUSE 11.2 (debug, i586, x86_64)
openSUSE 11.3 (debug, i586, x86_64)
openSUSE 11.4 (debug, i586, x86_64)
Comment 16 Swamp Workflow Management 2011-05-04 11:16:57 UTC
Update released for: mozilla-js192, mozilla-js192-debuginfo, mozilla-xulrunner192, mozilla-xulrunner192-buildsymbols, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-debugsource, mozilla-xulrunner192-devel, mozilla-xulrunner192-devel-debuginfo, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-debuginfo, mozilla-xulrunner192-translations-common, mozilla-xulrunner192-translations-other
Products:
openSUSE 11.4 (debug, i586, x86_64)
Comment 17 Swamp Workflow Management 2011-05-04 11:19:26 UTC
Update released for: mozilla-xulrunner191, mozilla-xulrunner191-debuginfo, mozilla-xulrunner191-debugsource, mozilla-xulrunner191-devel, mozilla-xulrunner191-devel-debuginfo, mozilla-xulrunner191-gnomevfs, mozilla-xulrunner191-gnomevfs-debuginfo, mozilla-xulrunner191-translations-common, mozilla-xulrunner191-translations-other, python-xpcom191, python-xpcom191-debuginfo
Products:
openSUSE 11.2 (debug, i586, x86_64)
openSUSE 11.3 (debug, i586, x86_64)
Comment 18 Swamp Workflow Management 2011-05-05 12:04:01 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-debugsource, MozillaFirefox-translations, mozilla-xulrunner192, mozilla-xulrunner192-32bit, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-debuginfo-32bit, mozilla-xulrunner192-debuginfo-x86, mozilla-xulrunner192-debugsource, mozilla-xulrunner192-devel, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-32bit, mozilla-xulrunner192-gnome-x86, mozilla-xulrunner192-translations, mozilla-xulrunner192-translations-32bit, mozilla-xulrunner192-translations-x86, mozilla-xulrunner192-x86
Products:
SLE-DEBUGINFO 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-DESKTOP 11-SP1 (i386, x86_64)
SLE-SDK 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-SERVER 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLES4VMWARE 11-SP1 (i386, x86_64)
Comment 19 Marcus Meissner 2011-05-05 15:04:08 UTC
released, advisory soon
Comment 20 Swamp Workflow Management 2011-05-05 16:51:49 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-translations, mozilla-xulrunner192, mozilla-xulrunner192-32bit, mozilla-xulrunner192-64bit, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-devel, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-32bit, mozilla-xulrunner192-gnome-64bit, mozilla-xulrunner192-gnome-x86, mozilla-xulrunner192-translations, mozilla-xulrunner192-translations-32bit, mozilla-xulrunner192-translations-64bit, mozilla-xulrunner192-translations-x86, mozilla-xulrunner192-x86
Products:
SLE-DEBUGINFO 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 21 Swamp Workflow Management 2011-05-05 17:17:51 UTC
Update released for: MozillaFirefox, MozillaFirefox-branding-upstream, MozillaFirefox-debuginfo, MozillaFirefox-translations, mozilla-xulrunner192, mozilla-xulrunner192-32bit, mozilla-xulrunner192-64bit, mozilla-xulrunner192-debuginfo, mozilla-xulrunner192-devel, mozilla-xulrunner192-gnome, mozilla-xulrunner192-gnome-32bit, mozilla-xulrunner192-gnome-64bit, mozilla-xulrunner192-gnome-x86, mozilla-xulrunner192-translations, mozilla-xulrunner192-translations-32bit, mozilla-xulrunner192-translations-64bit, mozilla-xulrunner192-translations-x86, mozilla-xulrunner192-x86
Products:
SLE-DEBUGINFO 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SAP-APL 10-SP3 (x86_64)
SLE-SDK 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3-TERADATA (x86_64)
Comment 22 Swamp Workflow Management 2011-05-05 18:09:32 UTC
Update released for: mozilla-xulrunner191, mozilla-xulrunner191-32bit, mozilla-xulrunner191-64bit, mozilla-xulrunner191-debuginfo, mozilla-xulrunner191-devel, mozilla-xulrunner191-gnomevfs, mozilla-xulrunner191-gnomevfs-32bit, mozilla-xulrunner191-gnomevfs-64bit, mozilla-xulrunner191-gnomevfs-x86, mozilla-xulrunner191-translations, mozilla-xulrunner191-translations-32bit, mozilla-xulrunner191-translations-64bit, mozilla-xulrunner191-translations-x86, mozilla-xulrunner191-x86, python-xpcom191
Products:
SLE-DEBUGINFO 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-DESKTOP 10-SP4 (i386, x86_64)
SLE-SDK 10-SP4 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP4 (i386, ia64, ppc, s390x, x86_64)
Comment 23 Swamp Workflow Management 2011-05-05 18:39:01 UTC
Update released for: mozilla-xulrunner191, mozilla-xulrunner191-32bit, mozilla-xulrunner191-debuginfo, mozilla-xulrunner191-debuginfo-32bit, mozilla-xulrunner191-debuginfo-x86, mozilla-xulrunner191-debugsource, mozilla-xulrunner191-devel, mozilla-xulrunner191-gnomevfs, mozilla-xulrunner191-gnomevfs-32bit, mozilla-xulrunner191-gnomevfs-x86, mozilla-xulrunner191-translations, mozilla-xulrunner191-translations-32bit, mozilla-xulrunner191-translations-x86, mozilla-xulrunner191-x86, python-xpcom191
Products:
SLE-DEBUGINFO 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-DESKTOP 11-SP1 (i386, x86_64)
SLE-SDK 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLE-SERVER 11-SP1 (i386, ia64, ppc64, s390x, x86_64)
SLES4VMWARE 11-SP1 (i386, x86_64)
Comment 24 Swamp Workflow Management 2011-05-05 20:01:31 UTC
Update released for: mozilla-xulrunner191, mozilla-xulrunner191-32bit, mozilla-xulrunner191-64bit, mozilla-xulrunner191-debuginfo, mozilla-xulrunner191-devel, mozilla-xulrunner191-gnomevfs, mozilla-xulrunner191-gnomevfs-32bit, mozilla-xulrunner191-gnomevfs-64bit, mozilla-xulrunner191-gnomevfs-x86, mozilla-xulrunner191-translations, mozilla-xulrunner191-translations-32bit, mozilla-xulrunner191-translations-64bit, mozilla-xulrunner191-translations-x86, mozilla-xulrunner191-x86, python-xpcom191
Products:
SLE-DEBUGINFO 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SAP-APL 10-SP3 (x86_64)
SLE-SDK 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3 (i386, ia64, ppc, s390x, x86_64)
SLE-SERVER 10-SP3-TERADATA (x86_64)
Comment 32 Swamp Workflow Management 2014-09-09 16:13:56 UTC
openSUSE-SU-2014:1100-1: An update that fixes 475 vulnerabilities is now available.

Category: security (important)
Bug References: 104586,354469,385739,390992,417869,41903,429179,439841,441084,455804,484321,503151,518603,527418,528406,529180,542809,559819,576969,582276,586567,593807,603356,622506,637303,642502,645315,649492,657016,664211,667155,689281,701296,712224,714931,720264,726758,728520,732898,733002,737533,744275,746616,747328,749440,750044,755060,758408,765204,771583,777588,783533,786522,790140,796895,804248,808243,813026,819204,825935,833389,840485,847708,854370,861847,868603,875378,876833,881874,887746,894201,894370
CVE References: CVE-2007-3089,CVE-2007-3285,CVE-2007-3656,CVE-2007-3670,CVE-2007-3734,CVE-2007-3735,CVE-2007-3736,CVE-2007-3737,CVE-2007-3738,CVE-2008-0016,CVE-2008-1233,CVE-2008-1234,CVE-2008-1235,CVE-2008-1236,CVE-2008-1237,CVE-2008-3835,CVE-2008-4058,CVE-2008-4059,CVE-2008-4060,CVE-2008-4061,CVE-2008-4062,CVE-2008-4063,CVE-2008-4064,CVE-2008-4065,CVE-2008-4066,CVE-2008-4067,CVE-2008-4068,CVE-2008-4070,CVE-2008-5012,CVE-2008-5014,CVE-2008-5016,CVE-2008-5017,CVE-2008-5018,CVE-2008-5021,CVE-2008-5022,CVE-2008-5024,CVE-2008-5500,CVE-2008-5501,CVE-2008-5502,CVE-2008-5503,CVE-2008-5506,CVE-2008-5507,CVE-2008-5508,CVE-2008-5510,CVE-2008-5511,CVE-2008-5512,CVE-2009-0040,CVE-2009-0771,CVE-2009-0772,CVE-2009-0773,CVE-2009-0774,CVE-2009-0776,CVE-2009-1571,CVE-2009-3555,CVE-2010-0159,CVE-2010-0173,CVE-2010-0174,CVE-2010-0175,CVE-2010-0176,CVE-2010-0182,CVE-2010-0654,CVE-2010-1121,CVE-2010-1196,CVE-2010-1199,CVE-2010-1200,CVE-2010-1201,CVE-2010-1202,CVE-2010-1203,CVE-2010-1205,CVE-2010-1211,CVE-2010-1212,CVE-2010-1213,CVE-2010-1585,CVE-2010-2752,CVE-2010-2753,CVE-2010-2754,CVE-2010-2760,CVE-2010-2762,CVE-2010-2764,CVE-2010-2765,CVE-2010-2766,CVE-2010-2767,CVE-2010-2768,CVE-2010-2769,CVE-2010-3166,CVE-2010-3167,CVE-2010-3168,CVE-2010-3169,CVE-2010-3170,CVE-2010-3173,CVE-2010-3174,CVE-2010-3175,CVE-2010-3176,CVE-2010-3178,CVE-2010-3179,CVE-2010-3180,CVE-2010-3182,CVE-2010-3183,CVE-2010-3765,CVE-2010-3768,CVE-2010-3769,CVE-2010-3776,CVE-2010-3777,CVE-2010-3778,CVE-2011-0053,CVE-2011-0061,CVE-2011-0062,CVE-2011-0069,CVE-2011-0070,CVE-2011-0072,CVE-2011-0074,CVE-2011-0075,CVE-2011-0077,CVE-2011-0078,CVE-2011-0080,CVE-2011-0081,CVE-2011-0083,CVE-2011-0084,CVE-2011-0085,CVE-2011-1187,CVE-2011-2362,CVE-2011-2363,CVE-2011-2364,CVE-2011-2365,CVE-2011-2371,CVE-2011-2372,CVE-2011-2373,CVE-2011-2374,CVE-2011-2376,CVE-2011-2377,CVE-2011-2985,CVE-2011-2986,CVE-2011-2987,CVE-2011-2988,CVE-2011-2989,CVE-2011-2991,CVE-2011-2992,CVE-2011-3000,CVE-2011-3001,CVE-2011-3005,CVE-2011-3026,CVE-2011-3062,CVE-2011-3101,CVE-2011-3232,CVE-2011-3648,CVE-2011-3650,CVE-2011-3651,CVE-2011-3652,CVE-2011-3654,CVE-2011-3655,CVE-2011-3658,CVE-2011-3659,CVE-2011-3660,CVE-2011-3661,CVE-2011-3663,CVE-2012-0441,CVE-2012-0442,CVE-2012-0443,CVE-2012-0444,CVE-2012-0445,CVE-2012-0446,CVE-2012-0447,CVE-2012-0449,CVE-2012-0451,CVE-2012-0452,CVE-2012-0455,CVE-2012-0456,CVE-2012-0457,CVE-2012-0458,CVE-2012-0459,CVE-2012-0460,CVE-2012-0461,CVE-2012-0462,CVE-2012-0463,CVE-2012-0464,CVE-2012-0467,CVE-2012-0468,CVE-2012-0469,CVE-2012-0470,CVE-2012-0471,CVE-2012-0472,CVE-2012-0473,CVE-2012-0474,CVE-2012-0475,CVE-2012-0477,CVE-2012-0478,CVE-2012-0479,CVE-2012-0759,CVE-2012-1937,CVE-2012-1938,CVE-2012-1940,CVE-2012-1941,CVE-2012-1944,CVE-2012-1945,CVE-2012-1946,CVE-2012-1947,CVE-2012-1948,CVE-2012-1949,CVE-2012-1951,CVE-2012-1952,CVE-2012-1953,CVE-2012-1954,CVE-2012-1955,CVE-2012-1956,CVE-2012-1957,CVE-2012-1958,CVE-2012-1959,CVE-2012-1960,CVE-2012-1961,CVE-2012-1962,CVE-2012-1963,CVE-2012-1967,CVE-2012-1970,CVE-2012-1972,CVE-2012-1973,CVE-2012-1974,CVE-2012-1975,CVE-2012-1976,CVE-2012-3956,CVE-2012-3957,CVE-2012-3958,CVE-2012-3959,CVE-2012-3960,CVE-2012-3961,CVE-2012-3962,CVE-2012-3963,CVE-2012-3964,CVE-2012-3966,CVE-2012-3967,CVE-2012-3968,CVE-2012-3969,CVE-2012-3970,CVE-2012-3971,CVE-2012-3972,CVE-2012-3975,CVE-2012-3978,CVE-2012-3980,CVE-2012-3982,CVE-2012-3983,CVE-2012-3984,CVE-2012-3985,CVE-2012-3986,CVE-2012-3988,CVE-2012-3989,CVE-2012-3990,CVE-2012-3991,CVE-2012-3992,CVE-2012-3993,CVE-2012-3994,CVE-2012-3995,CVE-2012-4179,CVE-2012-4180,CVE-2012-4181,CVE-2012-4182,CVE-2012-4183,CVE-2012-4184,CVE-2012-4185,CVE-2012-4186,CVE-2012-4187,CVE-2012-4188,CVE-2012-4191,CVE-2012-4192,CVE-2012-4193,CVE-2012-4194,CVE-2012-4195,CVE-2012-4196,CVE-2012-4201,CVE-2012-4202,CVE-2012-4204,CVE-2012-4205,CVE-2012-4207,CVE-2012-4208,CVE-2012-4209,CVE-2012-4212,CVE-2012-4213,CVE-2012-4214,CVE-2012-4215,CVE-2012-4216,CVE-2012-4217,CVE-2012-4218,CVE-2012-5829,CVE-2012-5830,CVE-2012-5833,CVE-2012-5835,CVE-2012-5836,CVE-2012-5837,CVE-2012-5838,CVE-2012-5839,CVE-2012-5840,CVE-2012-5841,CVE-2012-5842,CVE-2012-5843,CVE-2013-0743,CVE-2013-0744,CVE-2013-0745,CVE-2013-0746,CVE-2013-0747,CVE-2013-0748,CVE-2013-0749,CVE-2013-0750,CVE-2013-0752,CVE-2013-0753,CVE-2013-0754,CVE-2013-0755,CVE-2013-0756,CVE-2013-0757,CVE-2013-0758,CVE-2013-0760,CVE-2013-0761,CVE-2013-0762,CVE-2013-0763,CVE-2013-0764,CVE-2013-0766,CVE-2013-0767,CVE-2013-0768,CVE-2013-0769,CVE-2013-0770,CVE-2013-0771,CVE-2013-0773,CVE-2013-0774,CVE-2013-0775,CVE-2013-0776,CVE-2013-0780,CVE-2013-0782,CVE-2013-0783,CVE-2013-0787,CVE-2013-0788,CVE-2013-0789,CVE-2013-0793,CVE-2013-0795,CVE-2013-0796,CVE-2013-0800,CVE-2013-0801,CVE-2013-1669,CVE-2013-1670,CVE-2013-1674,CVE-2013-1675,CVE-2013-1676,CVE-2013-1677,CVE-2013-1678,CVE-2013-1679,CVE-2013-1680,CVE-2013-1681,CVE-2013-1682,CVE-2013-1684,CVE-2013-1685,CVE-2013-1686,CVE-2013-1687,CVE-2013-1690,CVE-2013-1692,CVE-2013-1693,CVE-2013-1694,CVE-2013-1697,CVE-2013-1701,CVE-2013-1709,CVE-2013-1710,CVE-2013-1713,CVE-2013-1714,CVE-2013-1717,CVE-2013-1718,CVE-2013-1719,CVE-2013-1720,CVE-2013-1722,CVE-2013-1723,CVE-2013-1724,CVE-2013-1725,CVE-2013-1728,CVE-2013-1730,CVE-2013-1732,CVE-2013-1735,CVE-2013-1736,CVE-2013-1737,CVE-2013-1738,CVE-2013-5590,CVE-2013-5591,CVE-2013-5592,CVE-2013-5593,CVE-2013-5595,CVE-2013-5596,CVE-2013-5597,CVE-2013-5599,CVE-2013-5600,CVE-2013-5601,CVE-2013-5602,CVE-2013-5603,CVE-2013-5604,CVE-2013-5609,CVE-2013-5610,CVE-2013-5611,CVE-2013-5612,CVE-2013-5613,CVE-2013-5614,CVE-2013-5615,CVE-2013-5616,CVE-2013-5618,CVE-2013-5619,CVE-2013-6629,CVE-2013-6630,CVE-2013-6671,CVE-2013-6672,CVE-2013-6673,CVE-2014-1477,CVE-2014-1478,CVE-2014-1479,CVE-2014-1480,CVE-2014-1481,CVE-2014-1482,CVE-2014-1483,CVE-2014-1484,CVE-2014-1485,CVE-2014-1486,CVE-2014-1487,CVE-2014-1488,CVE-2014-1489,CVE-2014-1490,CVE-2014-1491,CVE-2014-1492,CVE-2014-1493,CVE-2014-1494,CVE-2014-1497,CVE-2014-1498,CVE-2014-1499,CVE-2014-1500,CVE-2014-1502,CVE-2014-1504,CVE-2014-1505,CVE-2014-1508,CVE-2014-1509,CVE-2014-1510,CVE-2014-1511,CVE-2014-1512,CVE-2014-1513,CVE-2014-1514,CVE-2014-1518,CVE-2014-1519,CVE-2014-1522,CVE-2014-1523,CVE-2014-1524,CVE-2014-1525,CVE-2014-1526,CVE-2014-1528,CVE-2014-1529,CVE-2014-1530,CVE-2014-1531,CVE-2014-1532,CVE-2014-1533,CVE-2014-1534,CVE-2014-1536,CVE-2014-1537,CVE-2014-1538,CVE-2014-1539,CVE-2014-1540,CVE-2014-1541,CVE-2014-1542,CVE-2014-1543,CVE-2014-1544,CVE-2014-1545,CVE-2014-1547,CVE-2014-1548,CVE-2014-1549,CVE-2014-1550,CVE-2014-1552,CVE-2014-1553,CVE-2014-1555,CVE-2014-1556,CVE-2014-1557,CVE-2014-1558,CVE-2014-1559,CVE-2014-1560,CVE-2014-1561,CVE-2014-1562,CVE-2014-1563,CVE-2014-1564,CVE-2014-1565,CVE-2014-1567
Sources used:
openSUSE 11.4 (src):    MozillaFirefox-24.8.0-127.1, mozilla-nss-3.16.4-94.1